WriteMessageWebhook
Signature
export type WriteMessageWebhook = MessageWebhookMethodWriteParams['body'] & Pick<MessageWebhookMethodWriteParams, 'query'>;Properties
14Methods
0No methods.
Properties
flags?: MessageFlags | undefined;Message flags combined as a bitfield
tts?: boolean | undefined;`true` if this is a TTS message
attachments?: RESTAPIAttachment[] | undefined;Attachment objects with filename and description
username?: string | undefined;Override the default username of the webhook
allowed_mentions?: APIAllowedMentions | undefined;Allowed mentions for the message See https://docs.discord.com/developers/resources/channel#allowed-mentions-object
applied_tags?: Snowflake[] | undefined;Array of tag ids to apply to the thread
avatar_url?: string | undefined;Override the default avatar of the webhook
thread_name?: string | undefined;Name of thread to create Available only if the webhook is in a forum channel and a thread is not specified in {@link RESTPostAPIWebhookWithTokenQuery.thread_id} query parameter
poll?: PollBuilder | RESTAPIPollCreate | undefined;content?: string | undefined | null;embeds?: (Embed | APIEmbed | InMessageEmbed)[] | undefined;components?: TopLevelBuilders[] | ReturnType<TopLevelBuilders['toJSON']>[];files?: AttachmentBuilder[] | Attachment[] | RawFile[] | undefined;query?: RESTPostAPIWebhookWithTokenQuery;